%define apiver 1
%define major 0
%define libname %mklibname %{name} %{apiver} %{major}
%define devname %mklibname %{name} -d

Summary:	A pixel manipulation library
Name:		pixman
Version:	0.32.8
Release:	1
License:	MIT
Group:		System/Libraries
Url:		http://gitweb.freedesktop.org/?p=pixman.git
Source0:	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2

%track
prog %{name} = {
	url = http://cairographics.org/releases/
	version = %{version}
	regex = pixman-(__VER__)\.tar\.gz
}

%description
Pixel manipulation Library.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Pixel manipulation library
Group:		System/Libraries

%description -n %{libname}
A library for manipulating pixel regions -- a set of Y-X banded
rectangles, image compositing using the Porter/Duff model
and implicit mask generation for geometric primitives including
trapezoids, triangles, and rectangles.

%files -n %{libname}
%{_libdir}/libpixman-%{apiver}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Libraries and include files for developing with libpixman
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Obsoletes:	%{_lib}pixman-1-devel < 0.22.0

%description -n %{devname}
This package provides the necessary development libraries and include
files to allow you to develop with pixman.

%files -n %{devname}
%doc README AUTHORS
%{_libdir}/libpixman-%{apiver}.so
%dir %{_includedir}/pixman-1
%{_includedir}/pixman-1/*.h
%{_libdir}/pkgconfig/*.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std


%changelog

* Tue Oct 27 2015 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 0.32.8-1
- (00d9dd9) Moved to 0.32.8: we should stick to the stable versions now


